import * as sageWhProductData from '@sage/wh-product-data';
import { NodeExtension, Reference, Collection } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class ProductExtension extends NodeExtension<sageWhProductData.nodes.Product> {
    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
    readonly stockObjects: Collection<sageWhStockData.nodes.StockObject>;
}
declare module '@sage/wh-product-data/lib/nodes/product' {
    interface Product extends ProductExtension {
    }
}
//# sourceMappingURL=product-extension.d.ts.map