import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import { Node, integer, Reference, decimal, date } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class AdjustmentMovementFinalsAndInitialsValues extends Node {
    readonly denormalizedIndex: Promise<integer>;
    readonly site: Promise<string>;
    readonly depositor: Promise<string>;
    readonly code: Promise<string>;
    readonly _denormalizedParent: Reference<sageWhStockData.nodes.AdjustmentMovement>;
    readonly consumptionUnitQuantity: Promise<decimal | null>;
    readonly homogeneousContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
    readonly homogeneousQuantity: Promise<decimal | null>;
    readonly container: Reference<sageWhProductData.nodes.ProductsContainer | null>;
    readonly numberOfContainer: Promise<decimal | null>;
    readonly stockStatus: Reference<sageWhMasterData.nodes.StockNature | null>;
    readonly originSource: Reference<sageWhProductData.nodes.Origin | null>;
    readonly reservationNumber: Promise<string>;
    readonly supportNumber: Promise<string>;
    readonly lotNumber: Promise<string>;
    readonly receiptDate: Promise<date | null>;
    readonly manufacturedDate: Promise<date | null>;
    readonly sellByDate: Promise<date | null>;
    readonly shipByDate: Promise<date | null>;
    readonly useByDate: Promise<date | null>;
    readonly detentionDate: Promise<date | null>;
    readonly fifoDate: Promise<date | null>;
}
//# sourceMappingURL=adjustment-movement-finals-and-initials-values.d.ts.map