import * as sageWhSystem from '@sage/wh-system';
import { Node, integer, Reference } from '@sage/xtrem-core';
export declare class UnitOfMeasure extends Node {
    readonly code: Promise<string>;
    readonly localizedDescription: Promise<string>;
    readonly localizedShortDescription: Promise<string>;
    readonly numberOfDecimals: Promise<integer | null>;
    readonly unitType: Promise<sageWhSystem.enums.UnitType | null>;
    readonly codeCeeOnu: Reference<sageWhSystem.nodes.MiscellaneousTable | null>;
}
//# sourceMappingURL=unit-of-measure.d.ts.map