import { GraphApi } from '@sage/wh-stock-api';
import * as ui from '@sage/xtrem-ui';
/**
 * Page to view stock by store / location
 * using reverse order by location / store
 */
export declare class MobileViewStockByStoreLocation extends ui.Page<GraphApi> {
    /** internal properties */
    private siteCodeSelected;
    private depositorCodeSelected;
    mainSection: ui.containers.Section;
    storeLocationBlock: ui.containers.Block;
    site: ui.fields.Reference;
    depositor: ui.fields.Reference;
    private _initSiteDepositor;
    private disablePage;
    /**
     * get query parameters
     * @returns expected parameters or undefined
     */
    private _getQueryParameters;
    /**
     * Return current parameter before chain another page
     * @return return the current parameters
     */
    private _getCurrentParameters;
}
//# sourceMappingURL=mobile-view-stock-by-store-location.d.ts.map