"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definitionLevelDatatype = exports.DefinitionLevelEnum = void 0;
const xtrem_x3_gateway_1 = require("@sage/xtrem-x3-gateway");
var DefinitionLevelEnum;
(function (DefinitionLevelEnum) {
    DefinitionLevelEnum[DefinitionLevelEnum["folder"] = 1] = "folder";
    DefinitionLevelEnum[DefinitionLevelEnum["company"] = 2] = "company";
    DefinitionLevelEnum[DefinitionLevelEnum["site"] = 3] = "site";
    DefinitionLevelEnum[DefinitionLevelEnum["user"] = 4] = "user";
    DefinitionLevelEnum[DefinitionLevelEnum["legislation"] = 5] = "legislation";
})(DefinitionLevelEnum || (exports.DefinitionLevelEnum = DefinitionLevelEnum = {}));
exports.definitionLevelDatatype = new xtrem_x3_gateway_1.X3EnumDataType({
    enum: DefinitionLevelEnum,
    filename: __filename,
    localMenuNumber: 987,
});
//# sourceMappingURL=definition-level.js.map