import * as sageWhMasterData from '@sage/wh-master-data';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageWhProductData from '..';
export declare class LocationExtension extends NodeExtension<sageWhMasterData.nodes.Location> {
    readonly product: Reference<sageWhProductData.nodes.Product | null>;
    readonly container: Reference<sageWhProductData.nodes.Container | null>;
    readonly source: Reference<sageWhProductData.nodes.Origin | null>;
    readonly referenceContainer: Reference<sageWhProductData.nodes.Container | null>;
    readonly presentContainer: Reference<sageWhProductData.nodes.Container | null>;
    readonly superiorContainer: Reference<sageWhProductData.nodes.ProductsContainer | null>;
}
declare module '@sage/wh-master-data/lib/nodes/location' {
    interface Location extends LocationExtension {
    }
}
//# sourceMappingURL=location-extension.d.ts.map