import * as sageWhMasterData from '@sage/wh-master-data';
import { NodeExtension, Reference } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class LocationExtension extends NodeExtension<sageWhMasterData.nodes.Location> {
    readonly stockCount: Reference<sageWhStockData.nodes.StockCount | null>;
    readonly deliveryOrderPivot: Reference<sageWhStockData.nodes.DeliveryOrder | null>;
}
declare module '@sage/wh-master-data/lib/nodes/location' {
    interface Location extends LocationExtension {
    }
}
//# sourceMappingURL=location-extension.d.ts.map