import { Node, Reference } from '@sage/xtrem-core';
import * as sageWhSystem from '..';
export declare class Company extends Node {
    readonly code: Promise<string>;
    readonly name: Promise<string>;
    readonly shortDescription: Promise<string>;
    readonly isLegalCompany: Promise<boolean>;
    readonly legislation: Reference<sageWhSystem.nodes.MiscellaneousTable | null>;
    readonly logo: Reference<sageWhSystem.nodes.Image | null>;
}
//# sourceMappingURL=company.d.ts.map