import * as sageWhMasterData from '@sage/wh-master-data';
import * as sageWhProductData from '@sage/wh-product-data';
import * as sageWhSystem from '@sage/wh-system';
import { Node, Reference, integer } from '@sage/xtrem-core';
import * as sageWhStockData from '..';
export declare class SerialNumberCountingLine extends Node {
    readonly site: Reference<sageWhSystem.nodes.Site>;
    readonly stockCount: Reference<sageWhStockData.nodes.StockCount>;
    readonly counting: Reference<sageWhStockData.nodes.Counting>;
    readonly lineNumber: Promise<integer>;
    readonly serialNumber: Promise<string>;
    readonly double: Promise<integer | null>;
    readonly depositor: Reference<sageWhMasterData.nodes.Depositor>;
    readonly product: Reference<sageWhProductData.nodes.Product>;
    readonly store: Reference<sageWhMasterData.nodes.Store | null>;
    readonly location: Reference<sageWhMasterData.nodes.Location | null>;
    readonly serialGroup: Promise<string>;
    readonly parentGroup: Promise<string>;
    readonly free1: Promise<string>;
    readonly free2: Promise<string>;
    readonly free3: Promise<string>;
    readonly free4: Promise<string>;
    readonly free5: Promise<string>;
    readonly isNonExistentSerialNumber: Promise<boolean>;
}
//# sourceMappingURL=serial-number-counting-line.d.ts.map